<ul class="panel-nav-top">
	<li><a href="/"><?php echo get_lang('posts') ?></a></li>
	<li><a href="/blogs/list"><?php echo get_lang('blogs') ?></a></li>
	<li><a href="/groups"><?php echo get_lang('groups') ?></a></li>
	<li><a href="/users"><?php echo get_lang('users') ?></a></li>
</ul>

<h1><?php echo get_lang('post/edit') ?></h1>

<div class="content">
	<form action="/edit/<?php echo $post_id ?>" method="post">
		<div class="card">
			<!-- Отображение ошибок и сообщений -->
			<?php if ($move_success):  ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('post/move_success') ?></dd>
				</dl>
			<?php endif ?>
			
			<?php if ($edit_success):  ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('post/edit_success') ?></dd>
				</dl>
			<?php endif ?>
			
			<?php if ($title_error):  ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('post/title_error') ?></dd>
				</dl>
			<?php endif ?>
				
			<?php if ($text_error):  ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('post/text_error') ?></dd>
				</dl>
			<?php endif ?>
			
			<?php if ($tags_error):  ?>
				<dl>
					<dt></dt>
					<dd><?php echo get_lang('post/tags_error') ?></dd>
				</dl>
			<?php endif ?>
			<!-- // Отображение ошибок и сообщений -->
			
			<!-- Форма для выбора блога  -->
			<dl>
				<dt><?php echo get_lang('post/select_blog') ?>:</dt>
				<dd>
					<select name="blog">
						<?php foreach ($blogs as $fields): ?>
							<option value="<?php echo $fields['blog_id'] ?>" <?php $fields['blog_id'] == $blog_id && print('selected="selected" ') ?>><?php echo $fields['blog_name'] ?></option>
						<?php endforeach ?>
					</select>
				</dd>
			</dl>
			<!--// Форма для выбора блога  -->
			
			<dl>
				<dt class="help" title="<?php echo get_lang('maxlength', get_option('length_blog_post_title')) ?>"><?php echo get_lang('post/title') ?>:</dt>
				<dd><input type="text" name="title" size="72" value="<?php echo $title ?>" maxlength="<?php echo get_option('length_blog_post_title') ?>" /></dd>
			</dl>
			
			<dl>
				<dt class="help" title="<?php echo get_lang('post/text_notice', get_option('length_blog_post')) ?>"><?php echo get_lang('post/text') ?>:</dt>
				<dd><textarea name="text" maxlength="<?php echo get_option('length_blog_post') ?>"><?php echo $text ?></textarea></dd>
			</dl>
			
			<dl>
				<dt class="help" title="<?php echo htmlspecialchars(get_lang('post/tags_notice', get_option('quota_blog_tags'), declension(get_option('quota_blog_tags'), get_lang('post/tags_declension'))))  ?>"><?php echo get_lang('post/tags') ?>:</dt>
				<dd><input type="text" name="tags" size="72" value="<?php echo $tags ?>" /></dd>
			</dl>
			
			<?php if ($blog_id): ?>
				<dl>
					<dt><?php echo get_lang('post/privacy_post') ?>:</dt>
					<dd>
						<input type="radio" name="privacy_post" value="<?php echo PRIVACY_POST_BLOG_USERS ?>" <?php $privacy_post == PRIVACY_POST_BLOG_USERS && print('checked="checked" ') ?>/> <?php echo get_lang('post/privacy_only_blog_users') ?><br />
						<input type="radio" name="privacy_post" value="<?php echo PRIVACY_POST_USERS ?>" <?php $privacy_post == PRIVACY_POST_USERS && print('checked="checked" ') ?>/> <?php echo get_lang('post/privacy_users') ?>
					</dd>
				</dl>
			<?php else: ?>
				<dl>
					<dt><?php echo get_lang('post/privacy_post') ?>:</dt>
					<dd>
						<input type="radio" name="privacy_post" value="<?php echo PRIVACY_POST_FRIENDS ?>" <?php $privacy_post == PRIVACY_POST_FRIENDS && print('checked="checked" ') ?>/> <?php echo get_lang('post/privacy_only_friends') ?><br />
						<input type="radio" name="privacy_post" value="<?php echo PRIVACY_POST_USERS ?>" <?php $privacy_post == PRIVACY_POST_USERS && print('checked="checked" ') ?>/> <?php echo get_lang('post/privacy_users') ?>
					</dd>
				</dl>
			<?php endif ?>
			
			<dl>
				<dt><?php echo get_lang('post/privacy_comment') ?>:</dt>
				<dd>
					<input type="radio" name="privacy_comment" value="1" <?php $privacy_comment && print('checked="checked" ') ?>/> <?php echo get_lang('yes') ?><br />
					<input type="radio" name="privacy_comment" value="0" <?php $privacy_comment or print('checked="checked" ') ?>/> <?php echo get_lang('no') ?>
				</dd>
			</dl>
			
			<?php if (is_admin()): ?>
				<dl>
					<dt><?php echo get_lang('post/publish_index') ?>:</dt>
					<dd>
						<input type="radio" name="publish_index" value="1" <?php $publish_index && print('checked="checked" ') ?>/> <?php echo get_lang('yes') ?><br />
						<input type="radio" name="publish_index" value="0" <?php $publish_index or print('checked="checked" ') ?>/> <?php echo get_lang('no') ?>
					</dd>
				</dl>
			<?php endif ?>
			
			<dl>
				<dt></dt>
				<dd>
					<input type="submit" name="save" value="<?php echo get_lang('post/edit_submit') ?>" />
					<input type="submit" name="move" value="<?php echo get_lang('post/move_submit') ?>" />
				</dd>
			</dl>
		</div>
	</form>
</div>