<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');
require_once('wb-system/includes/functions_blogs.php');

if (($code = allow_add_post()) !== true)
{
	switch ($code)
	{
		case -3:
			$error = get_lang('post/publish_error_skill', get_option('acl_can_add_post'));
			break;
		
		case -2:
			$error = get_lang('post/publish_error_deny');
			break;
		
		default:
			redirect('/');
	}
	
	view_open('content', 'post/add/deny', array(array('error')));
	view_set_var('main', 'content', view_render('content'));
}
elseif (!is_null(get_router_param(0)))
{
	/**
	 * Для вставки в шаблон
	 */
	$title ='';
	$title_error = false;
	
	$text = '';
	$text_error = false;
	
	$tags = '';
	$tags_error = false;
	
	/**
	 * Массив доступных блогов
	 */
	$blogs = array();
	$blogs_ids = array();
	
	/**
	 * Информация о блоге, в который будет опубликована запись
	 */
	$blog = get_router_param(0) == 'blog';
	$blog_id = is_unsigned(get_router_param(1), true) ? get_router_param(1) : 0;
	
	if ($blog)
	{
		/**
		 * Выполняем запрос для получения блогов, в которых можно опубликовать запись
		 */
		if (is_admin())
		{
			/**
			 * Для администратора - все
			 */
			$sql = 'select blog_id, blog_url, blog_name from ' . BLOGS_TABLE;
		}
		else
		{
			/**
			 * Выбираем из таблицы блогов данные для тех блогов, в которых:
			 * 1) пользователь участвует и его рейтинг не менее необходимого для публикации;
			 * 2) пользователь участвует в группе модераторов (либо просто  является модератором).
			 */
			$sql = 'select blog_id, blog_url, blog_name 
			from ' . BLOGS_TABLE . ' where blog_id in ( 
				select b.blog_id from ' . USER_BLOG_TABLE . ' as u 
				inner join ' . BLOGS_TABLE . ' as b on (b.blog_id = u.blog_id and b.blog_limit_rating <= ' . user_data('user_rating') . ') 
				where u.user_id = ' . user_id() . ' 
				
				union select blog_id from ' . BLOG_ACCESS_TABLE . ' 
				where user_id = ' . user_id() . ' or group_id in ( 
					select group_id from ' . USER_GROUP_TABLE . ' where user_id = ' . user_id() . ' 
				)
			) order by blog_name';
		}
		
		$query = mysql_query($sql);
		
		while ($fields = mysql_fetch_assoc($query))
		{
			$blogs[] = $fields;
			$blogs_ids[] = $fields['blog_id'];
		}
	}
	
	/**
	 * Антифлуд
	 */
	$antiflood = antiflood();
	$antiflood_error = (bool) $antiflood;
	
	/**
	 * Добавлялка записи
	 */
	if (isset($_POST['title'], $_POST['text'], $_POST['tags']))
	{
		$blog_id = isset($_POST['blog']) && in_array($_POST['blog'], $blogs_ids) ? $_POST['blog'] : 0;
		
		$text = cut($_POST['text'], get_option('length_blog_post'));
		$text = check($text, true);
		
		$title = cut($_POST['title'], get_option('length_blog_post_title'));
		$title = check($title);
		
		$publish_index = (int) !empty($_POST['publish_index']) && is_admin();
		
		$privacy_post = PRIVACY_POST_USERS;
		$privacy_comment = (int) !empty($_POST['privacy_comment']);
		
		if ($blog_id && $_POST['privacy_post'] == PRIVACY_POST_BLOG_USERS)
		{
			$privacy_post = PRIVACY_POST_BLOG_USERS;
		}
		elseif (!$blog_id && $_POST['privacy_post'] == PRIVACY_POST_FRIENDS)
		{
			$privacy_post = PRIVACY_POST_FRIENDS;
		}
		
		/**
		 * Разбор меток
		 */
		$count = 0;
		$tags = array();
		
		foreach (preg_split('/[\s]*[,][\s]*/u', $_POST['tags']) as $tag)
		{
			if (preg_match('/^[A-zА-я\d\s\-_]+$/u', $tag) && mb_strlen($tag) <= get_option('length_blog_tag'))
			{
				$tags[] = $tag;
			}
			
			if (++$count >= get_option('quota_blog_tags'))
			{
				break;
			}
		}
		
		do
		{
			if (!$title)
			{
				$title_error = true;
			}
			
			if (!$text)
			{
				$text_error = true;
			}
			
			if (!count($tags))
			{
				$tags_error = true;
			}
			
			if ($antiflood_error or $title_error or $text_error or $tags_error)
			{
				break;
			}
			
			$sql = 'insert into ' . POSTS_TABLE . ' (
			blog_id,
			user_id,
			post_add_time,
			post_title,
			post_text,
			privacy_post,
			privacy_comment,
			publish_index
			) values (
			' . $blog_id . ',
			' . $user_id . ',
			' . time() . ',
			"' . mysql_escape_string($title) . '",
			"' . mysql_escape_string($text) . '",
			"' . $privacy_post . '",
			"' . $privacy_comment . '",
			"' . $publish_index . '"
			)';
			
			mysql_query($sql);
			
			// Вставка меток
			insert_post_tags(($post_id = mysql_insert_id()), $tags);
			
			// Обновление антифлуда
			update_antiflood();
			
			// Обновление счетчика записей пользователя
			update_user_count_posts(user_id());
			
			// Линк на запись
			if ($blog)
			{
				foreach ($blogs as $blog_data)
				{
					if ($blog_data['blog_id'] == $blog_id)
					{
						$link = $blog_data['blog_url'];
						break;
					}
				}
				$link = '/blogs/' . $link . '/' . $post_id;
			}
			else
			{
				$link = '/personal/' . user_id() . '/' . $post_id;
			}
			
			// Отображение сообщения об успешной публикации записи
			view_open('content', 'post/add/success');
			view_set_var('content', 'link', $link);
			view_set_var('main', 'content', view_render('content'));
			view_render('main', true);
			exit;
		}
		while (false);
		
		/**
		 * Если произошла ошибка - собираем из массива строку.
		 */
		$tags = implode(', ', $tags);
	}
	
	view_open('content', 'post/add/form');
	
	// Время до окончания действия антифлуда и ошибку
	view_set_var('content', 'antiflood');
	view_set_var('content', 'antiflood_error');
	
	// Заголовок и ошибка
	view_set_var('content', 'title');
	view_set_var('content', 'title_error');
	
	// Текст и ошибка
	view_set_var('content', 'text');
	view_set_var('content', 'text_error');
	
	// Метки и ошибка
	view_set_var('content', 'tags');
	view_set_var('content', 'tags_error');
	
	// Массив блогов
	view_set_var('content', 'blogs');
	
	// Информация о блоге, в котором будет опубликована запись
	view_set_var('content', 'blog');
	view_set_var('content', 'blog_id');
	
	view_set_var('main', 'content', view_render('content'));
}
else
{
	view_open('content', 'post/add/select');
	view_set_var('main', 'content', view_render('content'));
}
?>