<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 29/08/2009 12:00
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');
require_once('wb-system/includes/functions_blogs.php');

if (is_logged() && is_unsigned(get_router_param(0), true))
{
	$sql = 'select p.*, b.blog_name 
	from ' . POSTS_TABLE . ' as p 
	left join ' . BLOGS_TABLE . ' as b using (blog_id) 
	where post_id = ' . get_router_param(0);
	
	$query = mysql_query($sql);
	$post_data = mysql_fetch_assoc($query);
	
	if (!$post_data)
	{
		redirect('/');
	}
	
	/**
	 * Регистрируем переменные для удобной замены и вставки в шаблон.
	 */
	extract($post_data, EXTR_SKIP);
	
	$title =& $post_title;
	$title_error = false;
	
	$text =& $post_text;
	$text_error = false;
	
	$tags_error = false;
	
	/**
	 * Для редактирования записи есть три варианта доступа:
	 * 1) Полномочия администратора;
	 * 2) Авторство поста и участие в читателях группы (так же участие в модераторах) (если тематический блог);
	 * 3) Полномочия для редактирования (участие в группах модераторов).
	 */
	if (!is_admin() && (user_id() != $post_data['user_id'] or ($blog_id && !blog_ship($blog_id))))
	{
		$access = $blog_id ? get_blog_access($blog_id) : get_blog_personal_access('edit_post');
		
		/**
		 * Проверка участия в группах модераторов и полномочий для редактирования записи
		 */
		if (!(user_id() == $post_data['user_id'] && $blog_id && array_sum($access)) or !$access['edit_post'])
		{
			redirect('/');
		}
	}
	
	
	
	/**
	 * Получение кэша меток
	 * Если кэш не существует - сохранять его не нужно, т.к. при изменении поста заменится.
	 */
	if (is_null($tags = cache("tags/{$post_id}", -1)))
	{
		$tags = array();
		
		$sql = 'select post_tag from ' . TAGS_TABLE . ' where post_id = ' . $post_id;
		$query = mysql_query($sql);
		
		while ($fields = mysql_fetch_assoc($query))
		{
			$tags[] = $fields['post_tag'];
		}
	}
	
	$tags = implode(', ', $tags);
	
	
	
	/**
	 * Выполняем запрос для получения блогов, в которые можно опубликовать запись
	 */
	$blogs[] = array('blog_id' => 0,'blog_name' => get_lang('blog/personal'));
	$blog_ids[] = 0;
	
	if (is_admin())
	{
		/**
		 * Для администратора - все
		 */
		$sql = 'select blog_id, blog_name from ' . BLOGS_TABLE;
	}
	else
	{
		/**
		 * Выбираем из таблицы блогов данные для тех блогов, в которых:
		 * 1) пользователь участвует и его рейтинг не менее необходимого для публикации;
		 * 2) пользователь участвует в группе модераторов (либо просто  является модератором).
		 */
		$sql = 'select blog_id, blog_name 
		from ' . BLOGS_TABLE . ' where blog_id in ( 
			select b.blog_id from ' . USER_BLOG_TABLE . ' as u 
			inner join ' . BLOGS_TABLE . ' as b on (b.blog_id = u.blog_id and b.blog_limit_rating <= ' . user_data('user_rating') . ') 
			where u.user_id = ' . user_id() . ' 
			
			union select blog_id from ' . BLOG_ACCESS_TABLE . ' 
			where user_id = ' . user_id() . ' or group_id in ( 
				select group_id from ' . USER_GROUP_TABLE . ' where user_id = ' . user_id() . ' 
			)
		) order by blog_name';
	}
	
	$query = mysql_query($sql);
	
	while ($fields = mysql_fetch_assoc($query))
	{
		$blogs[] = $fields;
		$blog_ids[] = $fields['blog_id']; // Id блогов
	}
	
	
	
	/**
	 * Перемещение записи
	 */
	if (isset($_POST['move'], $_POST['blog']) && is_unsigned($_POST['blog']))
	{
		if (in_array($_POST['blog'], $blog_ids))
		{
			$move_success = true;
			$blog_id = $_POST['blog'];
			
			if (($_POST['blog'] && $blog_id) or !($_POST['blog'] && $blog_id))
			{
				/**
				 * Если текущий блог и блог, в который перемещается запись 
				 * одного типа (личный или тематический) достаточно изменить Id блога.
				 */
				$sql = 'update ' . POSTS_TABLE . ' 
				set blog_id = ' . $_POST['blog'] . ' where post_id = ' . $post_id;
				
			}
			else
			{
				/**
				 *  Также сбрасываем настройки приватности, т.к. у личного / коллективного блога они разные.
				 */
				$sql = 'update ' . POSTS_TABLE . '
				set blog_id = ' . $_POST['blog'] . ', privacy_post = ' . POST_PRIVACY_USERS . ' where post_id = ' . $post_id;
				
				$privacy_post = POST_PRIVACY_USERS;
			}
			
			mysql_query($sql);
		}
	}
	
	
	
	/**
	 * Сохранение записи
	 */
	if (isset($_POST['save'], $_POST['title'], $_POST['text'], $_POST['tags']))
	{
		$text = cut($_POST['text'], get_option('length_blog_post'));
		$text = check($text, true);
		
		$title = cut($_POST['title'], get_option('length_blog_post_title'));
		$title = check($title);
		
		/**
		 * Публикация на главной (алсо, на глагнэ)
		 */
		if ($is_admin)
		{
			$publish_index = (int) !empty($_POST['publish_index']);
		}
		
		/**
		 * Приватность
		 */
		$privacy_post = PRIVACY_POST_USERS;
		$privacy_comment = (int) !empty($_POST['privacy_comment']);
		
		if ($blog_id && $_POST['privacy_post'] == PRIVACY_POST_BLOG_USERS)
		{
			$privacy_post = PRIVACY_POST_BLOG_USERS;
		}
		elseif (!$blog_id && $_POST['privacy_post'] == PRIVACY_POST_FRIENDS)
		{
			$privacy_post = PRIVACY_POST_FRIENDS;
		}
		
		/**
		 * Разбор меток
		 */
		$count = 0;
		$tags = array();
		
		foreach (preg_split('/[\s]*[,][\s]*/u', $_POST['tags']) as $tag)
		{
			if (preg_match('/^[A-zА-я\d\s\-_]+$/u', $tag) && mb_strlen($tag) <= get_option('length_blog_tag'))
			{
				$tags[] = $tag;
			}
			
			if (++$count >= get_option('quota_blog_tags'))
			{
				break;
			}
		}
		
		do
		{
			if (!$title)
			{
				$title_error = true;
			}
			
			if (!$text)
			{
				$text_error = true;
			}
			
			if (!count($tags))
			{
				$tags_error = true;
			}
			
			if ($title_error or $text_error or $tags_error)
			{
				break;
			}
			
			$sql = 'update ' . POSTS_TABLE . ' set 
			post_title = "' . $title . '", 
			post_text = "' . $text . '", 
			post_edit_time = ' . time() . ', 
			post_edit_user_id = ' . user_id() . ', 
			privacy_post = "' . $privacy_post . '", 
			privacy_comment = "' . $privacy_comment . '", 
			publish_index = "' . $publish_index . '" 
			where post_id = ' . $post_id;
			
			mysql_query($sql);
			
			// Вставка меток
			update_post_tags($post_id, $tags);
			
			// Отображение сообщения об успешной публикации записи
			$edit_success = true;
		}
		while (false);
		
		/**
		 * Если произошла ошибка - собираем из массива меток строку.
		 */
		$tags = implode(', ', $tags);
	}
	
	
	
	view_open('content', 'post/edit');
	
	// Отчеты об успешном редактировании / перемещении записи
	view_set_var('content', 'edit_success', isset($edit_success));
	view_set_var('content', 'move_success', isset($move_success));
	
	// Id поста и блога
	view_set_var('content', 'post_id', $post_id);
	view_set_var('content', 'blog_id', $blog_id);
	
	// Приватность
	view_set_var('content', 'privacy_post', $privacy_post);
	view_set_var('content', 'privacy_comment', $privacy_comment);
	
	// Публикация на глагнэ
	view_set_var('content', 'publish_index', $publish_index);
	
	// Заголовок и ошибка
	view_set_var('content', 'title', $title);
	view_set_var('content', 'title_error', $title_error);
	
	// Текст и ошибка
	view_set_var('content', 'text', $text);
	view_set_var('content', 'text_error', $text_error);
	
	// Метки и ошибка
	view_set_var('content', 'tags', $tags);
	view_set_var('content', 'tags_error', $tags_error);
	
	// Массив блогов
	view_set_var('content', 'blogs', $blogs);
	
	view_set_var('main', 'content', view_render('content'));
}
else
{
	redirect('/');
}
?>