<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 16/08/2009 14:46
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

if (!$is_logged) {
	redirect('/login');
}

switch (get_router_param(0)) {
	case 'avatar':
		$avatar_path = 'wb-content/avatars/' . $user_id . '.png';
		
		$error = false;
		$avatar_is_deleted = false;
		$avatar_is_uploaded = false;
		
		if (isset($_POST['upload'])) {
			$image = false;
			
			if (isset($_FILES['avatar']) && is_uploaded_file($_FILES['avatar']['tmp_name'])) {
				$file = file_get_contents($_FILES['avatar']['tmp_name']);
				$image = @imagecreatefromstring($file);
			} elseif (!empty($_POST['avatar']) && strstr($_POST['avatar'], 'file=')) {
				list(, $file) = explode('file=', $_POST['avatar']);
				$image = @imagecreatefromstring(base64_decode($file));
			}
			
			if ($image) {
				$avatar_width = imagesx($image);
				$avatar_height = imagesy($image);
				
				if (get_option('avatar_width') < $avatar_width || get_option('avatar_height') < $avatar_height) {
					$ratio_width = $avatar_width / get_option('avatar_width');
					$ratio_height = $avatar_height / get_option('avatar_height');
					
					$new_width = get_option('avatar_width');
					$new_height = get_option('avatar_height');
					
					if ($ratio_width > $ratio_height) {
						$new_height = round($avatar_height / $ratio_width);
					}
					
					if ($ratio_width < $ratio_height) {
						$new_width = round($avatar_width / $ratio_height);
					}
					
					$new = imagecreatetruecolor($new_width, $new_height);
					imagecopyresized($new, $image, 0, 0, 0, 0, $new_width, $new_height, $avatar_width, $avatar_height);
					$image =& $new;
				}
				
				if (is_file($avatar_path)) {
					unlink($avatar_path);
				}
				
				if (imagepng($image, $avatar_path)) {
					chmod($avatar_path, 0777);
					$avatar_is_uploaded = true;
				} else {
					$error = get_lang('user/avatar_upload_save_error');
				}
			} else {
				$error = get_lang('user/avatar_upload_image_error');
			}
		}
		
		if ((isset($_POST['delete']) or get_router_param(1) == 'delete') && is_file($avatar_path)) {
			if (unlink($avatar_path)) {
				$avatar_is_deleted = true;
			} else {
				$error = get_lang('user/avatar_delete_error');
			}
		}
		
		$avatar = false;
		$avatar_sizes = false;
		
		if (is_file('wb-content/avatars/' . $user_id . '.png'))  {
			if (($avatar_sizes = getimagesize('wb-content/avatars/' . $user_id . '.png')) !== false) {
				$avatar = true;
				$avatar_sizes = $avatar_sizes[3];
			}
		}
		
		view_open('content', 'user/avatar');
		view_set_var('content', 'avatar', $avatar);
		view_set_var('content', 'avatar_sizes', $avatar_sizes);
		view_set_var('content', 'error', $error);
		view_set_var('content', 'avatar_is_deleted', $avatar_is_deleted);
		view_set_var('content', 'avatar_is_uploaded', $avatar_is_uploaded);
		break;
	
	case 'settings':
		$message = '';
		
		if (isset($_POST['wap_template'])) {
			$templates = get_templates();
			
			$nav_posts = (int) get_option('nav_posts');
			$nav_comments = (int) get_option('nav_comments');
			
			$wap_template = get_option('wap_template');
			$web_template = get_option('web_template');
			
			$locale = get_option('locale');
			
			$wall_privacy = WALL_USERS;
			$friends_privacy = FRIENDS_USERS;
			$friendship_privacy = FRIENDSHIP_USERS;
			$privmsgs_privacy = PRIVMSGS_USERS;
			
			$privmsgs_to_email = 0;
			$allow_cookies = 1;
			$allow_translit = 0;
			$allow_images = 1;
			$hide_online = 0;
			$date_adjust = 0;
			
			if (!isset($_POST['reset'])) {
				$hide_online = (int) !empty($_POST['hide_online']);
				$allow_images = (int) !empty($_POST['allow_images']);
				$allow_cookies = (int) !empty($_POST['allow_cookies']);
				$allow_translit = (int) !empty($_POST['allow_translit']);
				$privmsgs_to_email = (int) !empty($_POST['privmsgs_to_email']);
				
				if (isset($_POST['wap_template']) && in_array($_POST['wap_template'], $templates)) {
					$wap_template = $_POST['wap_template'];
				}
				
				if (isset($_POST['web_template']) && in_array($_POST['wap_template'], $templates)) {
					$web_template = $_POST['web_template'];
				}
				
				if (isset($_POST['locale']) && in_array($_POST['locale'], get_locales())) {
					$locale = $_POST['locale'];
				}
				
				if (isset($_POST['nav_comments']) && is_unsigned($_POST['nav_comments'], true) && $_POST['nav_comments'] <= 50) {
					$nav_comments = $_POST['nav_comments'];
				}
				
				if (isset($_POST['nav_posts']) && is_unsigned($_POST['nav_posts'], true) && $_POST['nav_posts'] <= 50) {
					$nav_posts = $_POST['nav_posts'];
				}
				
				if (isset($_POST['date_adjust']) && preg_match('/^(-)?\d{1,2}$/', $_POST['date_adjust'])) {
					$date_adjust = $_POST['date_adjust'];
				}
				
				if (isset($_POST['friends_privacy']) && in_array($_POST['friends_privacy'], array(FRIENDS_ME, FRIENDS_FRIENDS))) {
					$friends_privacy = $_POST['friends_privacy'];
				}
				
				if (isset($_POST['privmsgs_privacy']) && $_POST['privmsgs_privacy'] == PRIVMSGS_FRIENDS) {
					$privmsgs_privacy = $_POST['privmsgs_privacy'];
				}
				
				if (isset($_POST['friendship_privacy']) && in_array($_POST['friendship_privacy'], array(FRIENDSHIP_DISABLE, FRIENDSHIP_USERS_WITH_ENTRY))) {
					$friendship_privacy = $_POST['friendship_privacy'];
				}
				
				if (isset($_POST['wall_privacy']) && in_array($_POST['wall_privacy'], array(WALL_ME, WALL_FRIENDS))) {
					$wall_privacy = $_POST['wall_privacy'];
				}
			}
			
			$sql = "update " . USERS_TABLE . " set 
			user_date_adjust = '{$date_adjust}',
			user_nav_posts = {$nav_posts},
			user_nav_comments = {$nav_comments},
			user_wall_privacy = '{$wall_privacy}',
			user_privmsgs_to_email = '{$privmsgs_to_email}',
			user_friends_privacy = '{$friends_privacy}',
			user_friendship_privacy = '{$friendship_privacy}',
			user_privmsgs_privacy = '{$privmsgs_privacy}',
			user_allow_translit = '{$allow_translit}',
			user_allow_cookies = '{$allow_cookies}',
			user_allow_images = '{$allow_images}',
			user_hide_online = '{$hide_online}',
			user_wap_template = '{$wap_template}',
			user_web_template = '{$web_template}',
			user_locale = '{$locale}' 
			where user_id = {$user_id}";
			
			mysql_query($sql);
			
			// ..   html   ,     .
			//  .
			redirect('/user/settings');
			
			//$message = isset($_POST['reset']) ? 'reset' : 'save';
			//$message = get_lang("settings/success_{$message}");
		}
		
		view_open('content', 'user/settings');
		view_set_var('content', 'message', $message);
		view_set_var('content', 'locales', get_locales());
		view_set_var('content', 'templates', get_templates());
		break;
	
	case 'password':
		$success = false;
		$password_new_error = false;
		$password_current_error = false;
		
		if (!empty($_POST['password']) && !empty($_POST['password_new'])) {
			$password_current = $_POST['password'];
			$password_new = $_POST['password_new'];
			
			if (md5(md5($_POST['password'])) != $user_data['user_password']) {
				$password_current_error = true;
			}
			
			if (!preg_match('/^[A-z0-9]+$/', $password_new) or strlen($password_new) > 25) {
				$password_new_error = true;
			}
			
			if (!$password_current_error && !$password_new_error) {
				$password_new = md5(md5($password_new));
				$_SESSION['user_pass'] = $password_new;
				
				if (!empty($_COOKIE['cookies_data'])) {
					$cookies = base64_encode(serialize(array($user_id, $password_new)));
					setcookie('cookies_data', $cookies, time() + 31536000);
				}
				
				mysql_query("update " . USERS_TABLE . " set 
				user_password = '{$password_new}' where user_id = {$user_id}");
				
				$success = true;
			}
		}
		
		view_open('content', 'user/password');
		view_set_var('content', 'success', $success);
		view_set_var('content', 'password_new_error', $password_new_error);
		view_set_var('content', 'password_current_error', $password_current_error);
		break;
	
	default:
		if (!empty($_POST['sex']) && !empty($_POST['email'])) {
			$sex = $user_data['user_sex'];
			$email = $user_data['user_email'];
			$surname = $name = $phone = $im = $url = $about = $interests = '';
			
			if (!isset($_POST['reset'])) {
				if ($_POST['sex'] == 'm' or $_POST['sex'] == 'f') {
					$sex = $_POST['sex'];
				}
				
				if ($_POST['email'] < 80 && preg_match('/^[\.A-z0-9_\-]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/', $_POST['email'])) {
					$email = $_POST['email'];
				} else {
					$error_email = true;
				}
				
				if (!empty($_POST['name'])) {
					$name = check(cut($_POST['name'], get_option('length_name')));
					$name = mysql_escape_string($name);
				}
				
				if (!empty($_POST['surname'])) {
					$surname = check(cut($_POST['surname'], get_option('length_surname')));
					$surname = mysql_escape_string($surname);
				}
				
				if (!empty($_POST['phone'])) {
					$phone = check(cut($_POST['phone'], get_option('length_phone')));
					$phone = mysql_escape_string($phone);
				}
				
				if (!empty($_POST['im'])) {
					$im = check(cut($_POST['im'], get_option('length_im')));
					$im = mysql_escape_string($im);
				}
				
				if (!empty($_POST['url'])) {
					$url = check(cut($_POST['url'], get_option('length_url')));
					$url = mysql_escape_string($url);
				}
				
				if (!empty($_POST['about'])) {
					$about = check(cut($_POST['about'], get_option('length_about')), true);
					$about = mysql_escape_string($about);
				}
				
				if (!empty($_POST['interests'])) {
					$interests = check(cut($_POST['interests'], get_option('length_interests')), true);
					$interests = mysql_escape_string($interests);
				}
			}
			
			$message = isset($_POST['reset']) ? 'reset' : 'edit';
			$message = get_lang("user/profile_{$message}_success");
			
			$sql = "update " . USERS_TABLE . " set 
			user_email = '{$email}',
			user_sex = '{$sex}',
			user_name = '{$name}',
			user_surname = '{$surname}',
			user_phone = '{$phone}',
			user_im = '{$im}',
			user_url = '{$url}',
			user_about = '{$about}',
			user_interests = '{$interests}' 
			where user_id = {$user_id}";
			
			mysql_query($sql);
			
			/**
			 *    
			 */
			$user_data['user_email'] = $email;
			$user_data['user_sex'] = $sex;
			$user_data['user_surname'] = $surname;
			$user_data['user_phone'] = $phone;
			$user_data['user_email'] = $email;
			$user_data['user_im'] = $im;
			$user_data['user_url'] = $email;
			$user_data['user_about'] = $about;
			$user_data['user_interests'] = $interests;
		} else {
			$message = '';
		}
		
		view_open('content', 'user/profile');
		view_set_var('content', 'message', $message);
		view_set_var('content', 'error_email', isset($error_email));
		view_set_var('content', 'current_user', $user_data);
		break;
}

view_set_var('main', 'content', view_render('content'));
?>