<?php
/**
 * project:
 * WB Engine (Multi User)
 *
 * version:
 * 2.0
 *
 * authors:
 * Egorov Artem
 *
 * last edit:
 * 20/08/2009 11:17
 *
 * GNU General Public License, version 2:
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 */

defined('IN_WBENGINE') or die('Hacking attempt');

/**
 * Эти функции тестируются:
 */
function get_index_limit_good() {
	return is_logged() ? user_data('user_index_limit_good') : get_option('index_limit_good');
}

function get_new_posts_count($key) {
	static $new_posts_count = null;
	
	if (is_null($new_posts_count)) {
		if (!($new_posts_count = cache('new_posts_count', 600))) {
			$time = time() - get_option('new_post_time');
			$sql_1 = 'select count(*) from  ' . POSTS_TABLE . ' where post_add_time > ' . $time;
			$sql_2 = 'select count(*) from  ' . POSTS_TABLE . ' where blog_id <> 0 and post_add_time > ' . $time;
			$sql_3 = 'select count(*) from  ' . POSTS_TABLE . ' where blog_id  = 0 and post_add_time > ' . $time;
			
			$new_posts_count = array (
				'all' => mysql_result(mysql_query($sql_1), 0),
				'blogs' => mysql_result(mysql_query($sql_2), 0),
				'personal' => mysql_result(mysql_query($sql_3), 0)
			);
			
			cache_save('new_posts_count', $new_posts_count, 600);
		}
	}
	
	return isset($new_posts_count[$key]) ? $new_posts_count[$key] : null;
}

function drop_new_posts_count() {
	cache_save('new_posts_count', null, 1);
}





/**
 * Возвращает количество секунд, оставшихся до снятия антифлуда.
 *
 * @return integer
 */
function antiflood() {
	global $user_data, $is_admin;
	
	/**
	 * В случае перевода времени на сервере назад 
	 * произойдет автоматическое обновление времени последнего сообщения во всех профилях
	 */
	if ($user_data['user_last_post_time'] > time()) {
		$last_post_time = $user_data['user_last_post_time'] = time() - 3600;
		
		$sql = 'update ' . USERS_TABLE . ' 
		set user_last_post_time = ' . $last_post_time . ' where user_last_post_time > ' . time();
		
		mysql_query($sql);
		return 0;
	}
	
	if ($is_admin) {
		return 0;
	}
	
	$wait = $user_data['user_last_post_time'] + get_option('flood_time') - time();
	return $wait > 0 ? $wait : 0;
}

/**
 * Load data from a simple cache file. This should only be used internally,
 * and is NOT a replacement for the Cache library.
 *
 * @param string unique name of cache
 * @param integer expiration in seconds
 * @return mixed
 */
function cache($name, $lifetime) {
	if ($lifetime > 0 || $lifetime == -1) {
		$path = "wb-cache/{$name}";
		
		if (is_file($path)) {
			if ($lifetime == -1 || (time() - filemtime($path)) < $lifetime) {
				return unserialize(file_get_contents($path));
			} else {
				unlink($path);
			}
		}
	}
	
	return null;
}

/**
 * Save data to a simple cache file. This should only be used internally, and
 * is NOT a replacement for the Cache library.
 *
 * @param string cache name
 * @param mixed data to cache
 * @param integer expiration in seconds
 * @return  boolean
 */
function cache_save($name, $data, $lifetime) {
	if ($lifetime < 1 && $lifetime != -1) {
		return false;
	}
	
	$path = "wb-cache/{$name}";

	if ($data === null) {
		return (is_file($path) && unlink($path));
	} else {
		return (bool) file_put_contents($path, serialize($data));
	}
}

/**
 * Производит замену html-символов в мнемоники; удаляет quotes, символы табуляции,
 * NUL-байты (\0) и т.д. Без передачи второго аргумента (или передаче false) также
 * удаляет символы новой строки.
 *
 * @param string $string строка данных для обработки
 * @param boolean $enters
 * @return string
 */
function check($string, $enters = false) {
	$string = stripslashes(trim($string));
	$string = htmlentities($string, ENT_QUOTES, 'UTF-8');
	$string = str_replace(array('\t', '\0'), '', $string);
	
	if (!$enters) {
		$string = str_replace(array('\r', '\n'), '', $string);
	}
	
	return $string;
}

/**
 * Возвращает строку с вырезанными bb-кодами.
 *
 * @param string $string строка
 * @return string
 */
function clear_tags($string) {
	$string = preg_replace('/\[b\](.*?)\[\/b\]/si', '\1', $string);
	$string = preg_replace('/\[i\](.*?)\[\/i\]/si', '\1', $string);
	$string = preg_replace('/\[u\](.*?)\[\/u\]/si', '\1', $string);
	$string = preg_replace('/\[url\=(.*?)\](.*?)\[\/url\]/si', '\1', $string);
	$string = preg_replace('/\[red\](.*?)\[\/red\]/si', '\1', $string);
	$string = preg_replace('/\[green\](.*?)\[\/green\]/si', '\1', $string);
	$string = preg_replace('/\[blue\](.*?)\[\/blue\]/si', '\1', $string);
	$string = preg_replace('/\[q\](.*?)\[\/q\]/si', '\1', $string);
	return $string;
}

/**
 * Возвращает произвольную строку указанной длины, состоящую из символов A-z 0-9.
 *
 * @param integer Длина генерируемового ключа
 * @return string
 */
function create_id($lenght = 16) {
	$letters = array('Q','W','E','R','T','Y','U','I','O','P','A','S','D','F','G','H','J','K','L','Z','X','C','V','B','N','M','q','w','e','r','t','y','u','i','o','p','a','s','d','f','g','h','j','k','l','z','x','c','v','b','n','m','1','2','3','4','5','6','7','8','9','0');
	$id = '';
	
	for ($i = 0; $i < $lenght; $i++) {
		$id .= $letters[mt_rand(0, 61)];
	}
	
	return $id;
}

/**
 * Возвращает timestamp, скорректированный в соотвествии со сдвигом часового пояса, указанным в настройках.
 *
 * @return integer
 */
function ctime() {
	return (time() + get_option('date_adjust')*3600);
}

/**
 * Возвращает часть строки, от 0 до указанного символа.
 *
 * @param string $string строка данных для обработки
 * @param integer $end 
 * @return string 
 */
function cut($string, $end) {
	return mb_substr($string, 0, (int) $end);
}

/**
 * Cклонение русских слов после порядковых числительных.
 * @autors Юрий Насретдинов, Дмитрий Кóтеров (dklab.ru)
 *
 * @param integer $int числительное
 * @param array $expressions варианты слов
 * @return string
 */
function declension($int, $expressions) {
	if (count($expressions) < 3) {
		$expressions[2] = $expressions[1];
	}
	
	$int = (int) $int;
	$count = $int % 100;
	
	if ($count >= 5 && $count <= 20) {
		$result = 2;
	} else {
		$count = $count % 10;
		
		if ($count == 1) {
			$result = 0;
		} elseif ($count >= 2 && $count <= 4) {
			$result = 1;
		} else {
			$result = 2; 
		}
	}
	
	return $expressions[$result];
}

/**
 * Удаляет код каптчи.
 *
 * @return void
 */
function delete_captcha_code() {
	unset($_SESSION['captcha_code']);
}

/**
 * Возвращает прошедших количество секунд с некоторой точки.
 *
 * @param array Timestamp с микросекундами
 * @param integer Количество цифр после десятичной точки
 * @return float
 */
function execution_time($time = TIME, $precision = 4) {
	return round((array_sum(explode(' ', microtime())) - array_sum(explode(' ', $time))), (int) $precision);
}

/*
 * Возвращает формат времени, скорректированного в соотвествии 
 * со сдвигом часового пояса пользователя.
 *
 * @param integer Timestamp
 * @return string
 */
function fdate($time = 0, $format = null) {
	$time = is_unsigned($time) ? $time : time() + get_date_adjust();
	
	$format = is_null($format) ? get_option('date_format') : $format;
	$format = str_replace('rm', get_lang('months.' . (date('m', $time)-1)), $format);
	
	return date($format, $time);
}

/**
 * Возвращает размер файла, округленный до Мб/Кб.
 *
 * @param integer Размер файла в байтах
 * @return string
 */
function fsize($size) {
	if ($size < 1024) {
		$result = round($size, 2) . ' B';
	} elseif ($size > 1024 && $size < 1048576) {
		$result = round(($size / 1024), 2) . ' Kb';
	} else {
		$result = round(($size / 1048576), 2) . ' Mb';
	}
	return $result;
}

/**
 * Вовзращает время, скорректированное в соотвествии 
 * со сдвигом часового пояса пользователя.
 *
 * @return integer
 */
function ftime() {
	return (time() + get_date_adjust());
}

/**
 * Возвращает код kcaptcha.
 *
 * @return integer
 */
function get_kcaptcha_keystring() {
	return isset($_SESSION['captcha_keystring']) && is_unsigned($_SESSION['captcha_keystring'], true) ? $_SESSION['captcha_keystring'] : null;
}

/**
 * Возвращает сдвиг времени.
 *
 * @retrun integer
 */
function get_date_adjust() {
	return ((get_option('date_adjust') + (is_logged() ? user_data('user_date_adjust') : 0)) * 3600);
}

/**
 * Получение значения из файлов локализации по ключу.
 * Производит форматирование строки, если переданы аргументы для вставки.
 * Также автозагружает необходимык файлы локализации групп.
 *
 * @param string Ключ
 * @param mixed
 * @return mixed
 */
function get_lang($key) {
	static $locale = null;
	static $language = array();
	
	$line = null;
	$keys = explode('/', $key);
	
	if (count($keys) == 1) {
		$key = $keys[0];
		$group = 'main';
	} else {
		list($group, $key) = $keys;
	}
	
	if (!array_key_exists($group, $language)) {
		/**
		 * Установка используемой локали.
		 */
		if (is_null($locale)) {
			$locale = LOCALE;
			
			if (is_logged()) {
				if (!is_file("wb-content/languages/" . user_data('user_locale') . "/main.php")) {
					$sql = 'update ' . USERS_TABLE . ' set user_locale = "' . $locale . '" 
					where user_locale = "' . user_data('user_locale') . '"';
					
					mysql_query($sql);
				} else {
					$locale = user_data('user_locale');
				}
			}
		}
		
		/**
		 * Сохранение массива ленгпака в массив.
		 */
		$language[$group] = require_once("wb-content/languages/{$locale}/{$group}.php");
	}
	
	
	if (strstr($key, '.')) {
		/**
		 * Поиск строки в подмассиве(ах).
		 * Разборка ключа на аргументы.
		 */
		$keys = explode('.', $key);
		$last = count($keys) - 1;
		
		/**
		 * Ссылка на массив для рекурсии.
		 */
		$array =& $language[$group];
		
		foreach ($keys as $i => $k) {
			if (!array_key_exists($k, $array)) {
				break;
			}
			
			if ($i == $last) {
				$line = $array[$k];
			} else {
				$array =& $array[$k];
			}
		}
	} else {
		/**
		 * Простой возврат строки.
		 */
		array_key_exists($key, $language[$group]) && $line = $language[$group][$key];
	}
	
	/**
	 * Вставка аргументов в строку.
	 */
	if (!is_null($line) && !is_array($line) && strstr($line, '%')) {
		$args = array_slice(func_get_args(), 1);
		$args = count($args) && is_array($args[0]) ? $args[0] : $args;
		
		if (count($args)) {
			$line = vsprintf($line, $args);
		}
	}
	
	return $line;
}

/**
 * Возвращает массив существующих локаций.
 *
 * @return array
 */
function get_locales() {
	static $locales = array();
	
	if (!count($locales)) {
		$dir = opendir('wb-content/languages');
		$names = include('wb-system/configuration/locales.php');
		
		while (($object = readdir($dir)) !== false) {
			if ($object != '.' && $object != '..' && is_dir("wb-content/languages/{$object}")) {
				$locales[] = array('locale' => $object, 'name' => isset($names[$object]) ? $names[$object] : $object);
			}
		}
		
		closedir($dir);
	}
	
	return $locales;
}

/**
 * Возвращает число комментариев на страницу.
 *
 * @return integer
 */
function get_nav_comments() {
	$int = (int) (is_logged() ? user_data('user_nav_comments') : get_option('nav_comments'));
	return $int >= 1 ? $int : 1;
}

/**
 * Возращает число постов на страницу.
 *
 * @return integer
 */
function get_nav_posts() {
	$int = (int) (is_logged() ? user_data('user_nav_posts') : get_option('nav_posts'));
	return $int >= 1 ? $int : 1;
}

/**
 * Возвращает ассоциативный массив с посчитанными значениями для выборки sql и
 * другими аргументами. 
 *
 * @param integer всего элементов
 * @param integer количество элементов на страницу
 * @param integer текущая страница
 * @param boolean развернуть
 * @return array
 */
function get_navigation($count, $on_page, $url, $reverse = false) {
	$count_pages = ceil($count / $on_page);
	
	$page = is_unsigned($GLOBALS['current_page'], true) ? $GLOBALS['current_page'] : ($reverse ? 10000000 : 1);
	$page > $count_pages && $page = $count_pages;
	
	$select_limits = (($page - 1) * $on_page) . ', ' . $on_page;
	
	$prev_page = 0;
	$next_page = 0;
	$pages_left = array();
	$pages_center = array();
	$pages_right = array();
	
	if ($count_pages > 1) {
		if ($page > 1) {
			$prev_page = $page - 1;
		}
		
		if ($page < $count_pages) {
			$next_page = $page + 1;
		}
		
		for ($i = 1; $i < 3; $i++) {
			if ($i < $page - 2) {
				$pages_left[] = $i;
			} else {
				break;
			}
		}
		
		for ($i = $page - 2; $i <= $page + 2; $i++) {
			if ($i > 0 && $i <= $count_pages) {
				$pages_center[] = $i;
			}
		}
		
		for ($i = $count_pages - 1; $i <= $count_pages; $i++) {
			if ($i >= $page + 3) {
				$pages_right[] = $i;
			}
		}
	}
	
	return array (
		'page' => $page,
		'count_pages' => $count_pages,
		'select_limits' => $select_limits,
		
		'pagination' => array (
			'url' => $url,
			'page' => $page,
			'prev_page' => $prev_page,
			'next_page' => $next_page,
			'pages_left' => $pages_left,
			'pages_center' =>$pages_center,
			'pages_right' => $pages_right,
			'count_pages' => $count_pages
		)
	);
}

/**
 * Возвращает указанную (или все) опцию из конфига.
 *
 * @param mixed Значение
 * @return mixed
 */
function get_option($value = '') {
	static $config = null;
	
	if (is_null($config)) {
		/**
		 * Если массив не составлен, получаем данные из БД, создаем ассоциативный массив.
		 */
		$sql = 'select config_key, config_value from ' . CONFIG_TABLE;
		$query = mysql_query($sql);
		
		while ($rows = mysql_fetch_row($query)) {
			$config[$rows[0]] = $rows[1];
		}
	}
	
	return ($value ? (isset($config[$value]) ? $config[$value] : false) : $config);
}

/**
 * Возвращает значение с указанным ключем, переданное роутеру.
 *
 * @param integer Порядковый номер параметра
 * @return mixed
 */
function get_router_param($offset) {
	return isset($GLOBALS['router_data'][$offset]) ? $GLOBALS['router_data'][$offset] : null;
}

function set_router_param($offset, $value) {
	$GLOBALS['router_data'][intval($offset)] = $value;
}

/**
 * Возвращает массив существующих темплейтов.
 *
 * @return array
 */
function get_templates() {
	$themes = array();
	$dir = opendir('wb-content/templates');
	
	while (($object = readdir($dir)) !== false) {
		if ($object != '.' && $object != '..' && is_dir("wb-content/templates/{$object}")) {
			$themes[] = $object;
		}
	}
	
	closedir($dir);
	return $themes;
}

/**
 * Устанавливает, является ли переменная не отрицательным целым числом или числовой строкой.
 * 
 * @param integer Число
 * @param boolean Число должно быть положительным, если true
 * @return boolean
 */
function is_unsigned($int, $more_null = false) {
	return (preg_match('/^\d+$/', $int) && $int >= 0 && (!$more_null || $int > 0));
}

/**
 * Возвращает массив с онлайн-данными, массивом онлайн-пользователями (id, login)
 *
 * @param string Ключ, для выборки из массива $online
 * @param boolean Устанавливает, нужно ли дропнуть статистику
 * @return array
 */
function online_statistics($key = '', $drop = false) {
	static $online = null;
	
	if (is_null($online) || $drop) {
		$online['count_guests'] = $online['count_users'] = $online['count_all'] = 0;
		$online['users_online'] = array();
		
		$sql = 'select s.user_id, u.user_login from ' . SESSIONS_TABLE . ' as s 
		left join ' . USERS_TABLE . ' as u on (s.user_id > 0 and u.user_id = s.user_id)';
		
		$query = mysql_query($sql);
		
		while (list($user_id, $user_login) = mysql_fetch_row($query)) {
			$who = 'count_' . ($user_id ? 'users' : 'guests');
			
			$online[$who]++;
			$online['count_all']++;
			
			if ($user_id) {
				$online['users'][] = array (
					'user_id' => $user_id,
					'user_login' => $user_login
				);
			}
		}
	}
	
	return isset($online[$key]) ? $online[$key] : $online;
}


function output($output) {
	global $ussed_controller, $router_config;
	
	/**
	 * Копирайты только на дефолтовой (главной) странице
	 */
	if ($ussed_controller == $router_config['default_controller']) {
		$copyright = 'Wap Blogs Engine 2.0';
		$language_copyright = get_lang('copyright');
	} else {
		$copyright = '';
		$language_copyright = '';
	}
	
	$output = str_replace('{execution_time}', execution_time(), $output);
	$output = str_replace('{language_copyright}', $language_copyright, $output);
	$output = str_replace('{copyright}', $copyright, $output);
	
	/**
	 * Вырезка изображений из буффера
	 */
	if (is_logged() && !user_data('user_allow_images')) {
		$output = preg_replace('|<img.*?(?<!(?:view="view"\s))/>|si', 'image', $output);
	}
	
	if (get_option('allow_compress')) {
		/**
		 * Определение поддерживаемых браузером вариантов сжатия.
		 * Сжимаем буффер, передаем соответствующий буффер.
		 */
		@$ae = $_SERVER['HTTP_ACCEPT_ENCODING'] ? $_SERVER['HTTP_ACCEPT_ENCODING'] : $_SERVER['HTTP_TE'];
		
		if (strstr('deflate', $ae)) {
			header('Content-Encoding: deflate');
			$output = gzdeflate($output);
		} elseif (strstr('gzip',$ae)) {
			header('Content-Encoding: gzip');
			$output = gzencode($output);
		} elseif (strstr('x-gzip', $ae)) {
			header('Content-Encoding: x_gzip');
			$output = gzcompress($output, 9);
		}
	}
	
	return $output;
}

/**
 * Отправляет header с редиректом, очищает буффер, закрывает обработку страницы
 *
 * @param string $url - УРЛ
 * @return void
 */
function redirect($url) {
	ob_clean();
	header(preg_match('/microsoft|webstar|xitami/i', getenv('SERVER_SOFTWARE')) ? 'Refresh: 0; URL=' : 'Location: ' . $url);
	exit;
}

/**
 * Отсылает форматированное сообщение каждому из списка получаталей.
 *
 * @param mixed Email получателя(ей)
 * @param string Email отправителя
 * @param string Тема
 * @param string Сообщение
 * @return void
 */
function send_mail($emails, $email_from, $subject, $message) {
	$emails = is_array($emails) ? $emails : array($emails);
	
	$headers = 'From: Administrator <' . $email_from . '>' . "\n"
				. 'Reply-To: ' . $email_from . "n"
				. 'Subject: ' . $subject . "\n"
				. 'X-Mailer: PHP/' . phpversion() . ', WBE/' . WB_ENGINE_VERSION  ."\n"
				. 'Content-Transfer-Encoding: 8bit' . "\n"
				. 'Content-Type: text/plain; charset=' . get_option('email_charset') . "\n";
	
	foreach($emails as $email) {
		if (preg_match('/^[\.A-z0-9_\-]+[@][A-z0-9_\-]+([.][A-z0-9_\-]+)+[A-z]{1,4}$/', $email)) {
			mail($email, $subject, $message, $headers);
		}
	}
}

/**
 * Устанавливает значение переменной в конфиге
 * 
 * @param string  Ключ
 * @param string|integer Значение
 * @return boolean
 */
function set_option($key, $value) {
	$sql = 'update ' . CONFIG_TABLE . ' set config_value = ' . mysql_escape_string($value) . ' 
	where config_key = ' . mysql_escape_string($key);
	
	mysql_query($sql);
	return (bool) mysql_affected_rows();
}

/**
 * Возвращает строку с замененными bb-кодами на html-тэги
 *
 * @param string строка
 * @return string
 */
function tags($string) {
	$string = nl2br($string);
	$string = preg_replace('/\[b\](.*?)\[\/b\]/si', '<span style="font-weight:bold;">\1</span>', $string);
	$string = preg_replace('/\[i\](.*?)\[\/i\]/si', '<span style="font-style:italic;">\1</span>', $string);
	$string = preg_replace('/\[u\](.*?)\[\/u\]/si', '<span style="text-decoration:underline;">\1</span>', $string);
	$string = preg_replace('/\[red\](.*?)\[\/red\]/si', '<span style="color:red">\1</span>', $string);
	$string = preg_replace('/\[green\](.*?)\[\/green\]/si', '<span style="color:green">\1</span>', $string);
	$string = preg_replace('/\[blue\](.*?)\[\/blue\]/si', '<span style="color:blue">\1</span>', $string);
	$string = preg_replace('/\[q\](.*?)\[\/q\]/si', '<span id="quote">\1</span>', $string);
	$string = preg_replace('/\[color=([0-9a-f]{6})\](.*?)\[\/color\]/si', '<span style="color:#\1">\2</span>', $string);
	$string = preg_replace('/\[url=(.*?)\](.*?)\[\/url\]/si', '<a href="\1">\2</a>', $string);
	$string = preg_replace('/\[user=([A-z0-9\-_]+)\]/si', '<a class="user" href="/profile/\1">\1</a>', $string);
	return $string;
}

/**
 * Возвращает строку с замененными английскими буквами на русские (и наоборот).
 *
 * @param string Строка
 * @param boolean Развернуть массив для обратной транслитизации
 * @return string
 */
function translit($string, $flip = false) {
	$array = array('a' => 'а', 'b' => 'б', 'v' => 'в', 'g' => 'г', 'd' => 'д', 'e' => 'е', 'yo' => 'ё', 'zh' => 'ж', 'z' => 'з', 'i' => 'и', 'j' => 'й', 'k' => 'к', 'l' => 'л', 'm' => 'м', 'n' => 'н', 'o' => 'о', 'p' => 'п', 'r' => 'р', 's' => 'с', 't' => 'т', 'u' => 'у', 'f' => 'ф', 'h' => 'х', 'c' => 'ц', 'ch' => 'ч', 'sh' => 'ш', 'sch' => 'щ', 'q' => 'ъ', 'y' => 'ы', 'x' => 'э', 'yu' => 'ю', 'ya' => 'я', 'A' => 'А', 'B' => 'Б', 'V' => 'В', 'G' => 'Г', 'D' => 'Д', 'E' => 'Е', 'YO' => 'Ё', 'Yo' => 'Ё', 'ZH' => 'Ж', 'Zh' => 'Ж', 'Z' => 'З', 'I' => 'И', 'J' => 'Й', 'K' => 'К', 'L' => 'Л', 'M' => 'М', 'N' => 'Н', 'O' => 'О', 'P' => 'П', 'R' => 'Р', 'S' => 'С', 'T' => 'Т', 'U' => 'У', 'F' => 'Ф', 'H' => 'Х', 'C' => 'Ц', 'CH' => 'Ч', 'Ch' => 'Ч', 'SH' => 'Ш', 'Sh' => 'Ш', 'SCH' => 'Щ', 'Sch' => 'Щ', 'Q' => 'Ъ', 'Y' => 'Ы', 'X' => 'Э', 'YU' => 'Ю', 'Yu' => 'Ю', 'YA' => 'Я', 'Ya' => 'Я');
	return strtr($string, ($flip ? array_flip($array) : $array));
}

/**
 * Обновляет timestamp последнего сообщения пользователя.
 *
 * @return void
 */
function update_antiflood() {
	global $is_admin, $user_id;
	
	if (!$is_admin) {
		$GLOBALS['user_data']['user_last_post_time'] = time();
		
		$sql = 'update ' . USERS_TABLE . ' 
		set user_last_post_time = ' . time() . ' where user_id = ' . $user_id;
		
		mysql_query($sql);
	}
}

/**
 * Обновляет счетчик новых сообщений в профиле указанного пользователя.
 *
 * @param string  id пользователя
 * @return void
 */
function update_unread_privmsgs($user_id) {
	$query = mysql_query('select count(*) from ' . PRIVMSGS_IN_TABLE  . ' 
	where privmsgs_user_id = ' . $user_id . ' and privmsgs_read = "0"');
	
	$count = mysql_result($query, 0);
	
	mysql_query('update ' . USERS_TABLE . ' 
	set user_unread_privmsgs = ' . $count . '	where user_id = ' . $user_id);
	
	/**
	 * Моментальное отображение.
	 * Прочтение полученного сообщения на этой же странице уменьшит счетчик новых сообщений.
	 */
	if ($GLOBALS['is_logged'] && $user_id == $GLOBALS['user_id']) {
		$GLOBALS['user_data']['user_unread_privmsgs'] = $count;
	}
}

/**
 * Возвращает online-статус пользователя.
 *
 * Константы:
 * USER_ONLINE - он-лайн
 * USER_OFFLINE - офф-лайн
 * USER_HIDE - скрытый
 *
 * @param integer Id пользователя
 * @param boolean Обновить кэш статистики
 * @return integer
 */
function user_online($user_id, $drop = false) {
	static $online = null;
	
	if (is_null($online) || $drop) {
		$online[] = array();
		$online[] = array();
		
		if ($GLOBALS['is_admin']) {
			$sql = 'select user_id 
			from ' . SESSIONS_TABLE . ' where user_id <> 0';
		} else {
			/**
			 * Получение массива пользователей, которые скрывают свой онлайн-статус на сайте.
			 * По возможности берем из кэша, т.к. выборка из большой таблицы пользователей будет 
			 * весьма не продуктивной, тем более что поле user_hide_online это enum с двумя вариантами.
			 *
			 * Из небольших минусов можно отметить небольшую задерку отображения hide-статуса (вместо он-лайн / офф-лайн).
			 */
			if (is_null($cache = cache('hide_users_online', 300))) {
				$sql = 'select user_id 
				from ' . USERS_TABLE . ' where user_hide_online = "1"';
				
				$cache = array();
				$query = mysql_query($sql);
				
				while ($row = mysql_fetch_row($query)) {
					$cache[] = $row[0];
				}
				
				cache_save('hide_users_online', $cache, 300);
			}
			
			$online[1] = $cache;
			
			/**
			 * Запрос для выборки пользователей он-лайн (не скрывающихся)
			 */
			$sql = 'select s.user_id 
			from ' . SESSIONS_TABLE . ' as s 
			inner join ' . USERS_TABLE . ' as u using (user_id) 
			where s.user_id <> 0 and u.user_hide_online = "0"';
		}
		
		$query = mysql_query($sql);
		
		while ($row = mysql_fetch_row($query)) {
			$online[0][] = $row[0];
		}
	}
	
	if (in_array($user_id, $online[0])) {
		return USER_ONLINE;
	} elseif (in_array($user_id, $online[1])) {
		return USER_HIDE;
	} else {
		return USER_OFFLINE;
	}
}
?>